using ComputerShopContracts.BindingModels;
using ComputerShopContracts.SearchModels;
using ComputerShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopContracts.StorageContracts
{
    public interface IAssemblyStorage
    {
        List<AssemblyViewModel> GetFullList();
        List<AssemblyViewModel> GetFilteredList(AssemblySearchModel model);
        AssemblyViewModel? GetElement(AssemblySearchModel model);
        AssemblyViewModel? Insert(AssemblyBindingModel model);
        AssemblyViewModel? Update(AssemblyBindingModel model);
        AssemblyViewModel? Delete(AssemblyBindingModel model);
    }
}
